using System;
using System.Collections.Generic;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Xml;

namespace DynamicStyling
{
    /// <summary>
    /// Interaction logic for Page1.xaml
    /// </summary>

    public partial class Page1 : System.Windows.Controls.Page
    {
        public Page1()
        {
            InitializeComponent();
        }

        // OnSelectionChanged(object, RoutedEventArgs)
        // ------------------------------------------
        // On selection changed , we set
        // the grid's Resources property to a new resource dictionary
        // whose source is determined by the StylesComboBox selected item.
        //
        // Note: I'm setting the Resources property on the grid so that the 
        // resource dictionary could affect more than just Button.  I could have
        // also set it directly on Button.
        void OnSelectionChanged(object sender, RoutedEventArgs e)
        {
            XmlElement styleElement= (XmlElement) this.StyleComboBox.SelectedItem;
            String styleFile = (String) styleElement.Attributes["File"].Value;
            ResourceDictionary dictionary = new ResourceDictionary();
            dictionary.Source = new Uri(styleFile, UriKind.RelativeOrAbsolute);
            this.Grid.Resources = dictionary;
        }
    }
}